phpMyAdmin ver 3.2.5 will not connect

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

phpMyAdmin ver 3.2.5 will not connect

Postby caltuna » 26. January 2010 06:51

Snow Leopard, XAMMP 1.01 for Mac

I like to put new versions of phpMyAdmin in the htdocs folder as opposed to messing with the one that comes with XAMMP (3.1.3). I have phpMyAdmin ver. 3.1.4 and it works fine. Tonight I installed 3.2.5 and it will not connect using the same config.inc.php file as the other version. I've read all the phpAdmin docs but can't find anything I should change.

Error msg on the yellow phpAdmin screen:
Cannot connect: invalid settings.
phpMyAdmin tried to connect to the MySQL server, and the server rejected the connection. You should check the host, username and password in your configuration and make sure that they correspond to the information given by the administrator of the MySQL server.


Do I have to upgrade to XAMMP 1.7.2 in order to run the most current phpMyAdmin? Or is there something I'm missing here?

(I've not upgraded because 1.0.1 runs all my "stuff" just fine.... until now!)

Help!

Thanks.
caltuna
 
Posts: 111
Joined: 05. May 2009 16:35

Re: phpMyAdmin ver 3.2.5 will not connect

Postby caltuna » 26. January 2010 09:40

Found the fix:

Find:

$cfg['Servers'][$i]['AllowNoPasswordRoot'] = true;

Replace:
$cfg['Servers'][$i]['AllowNoPassword'] = true;
caltuna
 
Posts: 111
Joined: 05. May 2009 16:35

Re: phpMyAdmin ver 3.2.5 will not connect

Postby MegaChriz » 26. January 2010 09:50

caltuna wrote:Do I have to upgrade to XAMMP 1.7.2 in order to run the most current phpMyAdmin?

I don't think so, phpMyAdmin 3.2.5 should run with PHP 5.2.x.

The first thing I would do is to compare the configuration file that came with phpMyAdmin 3.2.5 (config.sample.inc.php) with your configuration file and look if there are some differents (maybe you already had done this). According to the error message, I would think at first that there might be something wrong with the 'connect_type'.
The next thing I would do is to throw away the cookies of phpMyAdmin and look if the permissions for the phpMyAdmin-folder are set correct.

I'm also using XAMPP 1.0.1. If I have some more time, I will install the newest phpMyAdmin-version to see if I encounter the same problems.
MegaChriz
 
Posts: 158
Joined: 16. February 2009 15:04
Location: Amersfoort, The Netherlands
Operating System: Mac OS X

Re: phpMyAdmin ver 3.2.5 will not connect

Postby caltuna » 26. January 2010 17:26

Thanks for the post. My config file was the same one I've been using for years... first with Entropy, then with MAAMP, now with XAMPP. There is something new in phpMyAdmin with ver. 3.2.5 that XAMPP does not like IF you are using a user name of "root" without a password, such that you need to add the new parm I noted above.

I installed the new phpMyAdmin on my web host and used the same old config.inc.php file I've always used, and it worked fine with FreeBSD's version of MySQL, Apache, etc.

I probably should upgrade but then I have to dump all my data and re-load it... PITA. I wish there was a way to upgrade XAMPP without having to do that chore.
caltuna
 
Posts: 111
Joined: 05. May 2009 16:35


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 4 guests